'use strict';

var picasso = require('@dp/picasso');

/*! *****************************************************************************
Copyright (c) Microsoft Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
/* global Reflect, Promise */

var extendStatics = Object.setPrototypeOf ||
    ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
    function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };

function __extends(d, b) {
    extendStatics(d, b);
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
}
//所有的Bridge方法
var data = [
    {
        "name": "setTitle",
    },
    {
        "name": "setLLButton",
    },
    {
        "name": "setLRButton",
    },
    {
        "name": "setRLButton",
    },
    {
        "name": "setRRButton",
    },
    {
        "name": "menuTitle",
    },
    {
        "name": "setSegments",
    },
    {
        "name": "getUserInfo",
    },
    {
        "name": "getDeviceInfo",
    },
    {
        "name": "getNetworkType",
    },
    {
        "name": "getWiFiInfo",
    },
    {
        "name": "getLocation",
    },
    {
        "name": "getAppInfo",
    },
    {
        "name": "getFingerprint"
    },
    {
        "name": "getContactList"
    },
    {
        "name": "pickContact"
    },
    {
        "name": "getCity"
    },
    {
        "name": "getLocationCity"
    },
    {
        "name": "getVersion",
    },
    {
        "name": "closeWindow",
    },
    {
        "name": "openScheme",
    },
    {
        "name": "openWebview"
    },
    {
        "name": "jumpWebview"
    },
    {
        "name": "closeWebview"
    },
    {
        "name": "logout"
    },
    {
        "name": "getWebViewCapture"
    },
    {
        "name": "share"
    },
    {
        "name": "capture"
    },
    {
        "name": "copyToClipboard"
    },
    {
        "name": "configShare"
    },
    {
        "name": "setCalendersEvent"
    },
    {
        "name": "deleteCalendersEvent"
    },
    {
        "name": "queryCalendersEvent"
    },
    {
        "name": "scanQRCode"
    },
    {
        "name": "getReplyLayout"
    },
    {
        "name": "actionSheet"
    },
    {
        "name": "datePicker"
    },
    {
        "name": "store"
    },
    {
        "name": "retrieve"
    },
    {
        "name": "remove"
    },
    {
        "name": "showPhoto"
    },
    {
        "name": "showImages"
    },
    {
        "name": "uploadImage"
    },
    {
        "name": "uploadMedia"
    },
    {
        "name": "downloadImage"
    },
    {
        "name": "chooseImage"
    },
    {
        "name": "cropImage"
    },
    {
        "name": "previewImage"
    },
    {
        "name": "playVoice"
    },
    {
        "name": "publish"
    },
    {
        "name": "subscribe"
    },
    {
        "name": "unsubscribe"
    },
    {
        "name": "sendSMS"
    },
    {
        "name": "prompt"
    },
    {
        "name": "confirm"
    },
    {
        "name": "vibrate"
    },
    {
        "name": "lxlog"
    }
];
var PicassoBridgeCheckModule = /** @class */ (function (_super) {
    __extends(PicassoBridgeCheckModule, _super);
    function PicassoBridgeCheckModule() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PicassoBridgeCheckModule.prototype.layout = function () {
        var _this = this;
        var bgView = picasso.View.viewWithFrame(0, 0, this.width, this.height);
        bgView.backgroundColor = "#FFFFFF";
        var listView = picasso.ListView.viewWithFrame(0, 0, bgView.width, bgView.height);
        listView.itemCount = data.length;
        listView.layoutItem = function (index) {
            var itemView = picasso.ListItem.itemWithReuseId("textStyle");
            var textView = _this.getTextView(data[index].name);
            if (!textView) {
                return itemView;
            }
            itemView.addSubView(textView);
            itemView.width = _this.width;
            itemView.height = textView.height;
            itemView.onClick = function () {
                _this.itemClick(index);
            };
            return itemView;
        };
        bgView.addSubView(listView);
        return bgView;
    };
    /**
     * 获取TextView
     *
     * @param text 要显示的文本
     */
    PicassoBridgeCheckModule.prototype.getTextView = function (text) {
        if (!!text) {
            var textView = picasso.TextView.viewWithFrame(10, 0, 0, 0);
            textView.text = text;
            textView.textSize = 20;
            textView.textColor = "#3e76dd";
            textView.sizeToFit();
            textView.height += 15;
            return textView;
        }
        else {
            return null;
        }
    };
    return PicassoBridgeCheckModule;
}(picasso.VC));
Picasso.Page(PicassoBridgeCheckModule);
